LangChain Reference home pageLangChain ReferenceLangChain Reference
  • GitHub
  • Main Docs
Deep Agents
LangChain
LangGraph
Integrations
LangSmith
  • Overview
  • LangGraph Checkpoint
    LangGraph Store
    Checkpoint Postgres
    Store Postgres
    Checkpoint SQLite
    LangGraph Prebuilt
    LangGraph CLI
    LangGraph SDK
    LangGraph Supervisor
    LangGraph Swarm
    ⌘I

    LangChain Assistant

    Ask a question to get started

    Enter to send•Shift+Enter new line

    Menu

    LangGraph Checkpoint
    LangGraph Store
    Checkpoint Postgres
    Store Postgres
    Checkpoint SQLite
    LangGraph Prebuilt
    LangGraph CLI
    LangGraph SDK
    LangGraph Supervisor
    LangGraph Swarm
    Language
    Theme
    Pythonlanggraph-sdkstreamtransporthttp
    Module●Since v0.3

    http

    Functions

    Classes

    View source on GitHub
    function
    build_event_stream_body
    class
    BytesLineDecoder

    Handles incrementally reading lines from text.

    Has the same behaviour as the stdllib bytes splitlines, but handling the input iteratively.

    class
    SSEDecoder
    class
    EventStreamHandle

    Handle for one async filtered event stream.

    class
    ProtocolSseTransport

    v3 protocol transport bound to a single thread_id.

    Commands go to POST /threads/{thread_id}/commands (JSON in, JSON out). open_event_stream opens filtered SSE streams against POST /threads/{thread_id}/stream/events.

    HTTP/SSE transport for the v3 thread-centric protocol.

    Direct port of libs/sdk/src/client/stream/transport/http.ts.

    ProtocolSseTransport is bound to a single thread_id at construction. Commands go to POST /threads/{thread_id}/commands (JSON in, JSON out). Each open_event_stream(params) opens an independent filtered SSE connection at POST /threads/{thread_id}/stream/events with the SubscribeParams in the request body.